---

- name: Add Zabbix repo key
  apt_key:
    data: "{{ lookup('url', 'https://repo.zabbix.com/zabbix-official-repo.key', split_lines=False) }}"
  environment:
    https_proxy: "{{ system_proxy | default('') }}"
  tags: repo,zabbix

- name: Add Zabbix repo
  apt_repository:
    repo: deb http://repo.zabbix.com/zabbix/{{ zabbix_major_version }}/{{ ansible_distribution | lower }} {{ ansible_distribution_release }} main
    filename: zabbix
  tags: repo,zabbix

- name: Add Zabbix Agent2 plugins repo
  apt_repository:
    # Zabbix plugin repo doesn't have bookworm yet, so use bullseye for now in this case
    repo: deb http://repo.zabbix.com/zabbix-agent2-plugins/1/{{ ansible_distribution | lower }} {{ (ansible_distribution_major_version is version('12', '>=')) | ternary('bullseye', ansible_distribution_release) }} main
    filename: zabbix
  tags: repo,zabbix
